type Arg = string | number | boolean;
export type RunOptions = {
    [arg: string]: Arg | null;
};
type Services = string[] | string;
export declare class Compose {
    composeFile: string;
    constructor(composeFile: string);
    runCmd(command: string, options?: RunOptions, services?: Services, ...extraParams: Arg[]): Promise<string>;
    up(options: RunOptions, services?: string[] | string): Promise<string>;
    build(options?: RunOptions): Promise<string>;
    down(options?: RunOptions): Promise<string>;
    ps(options?: RunOptions): Promise<string>;
    start(services?: Services, options?: RunOptions): Promise<string>;
    stop(services?: Services, options?: RunOptions): Promise<string>;
    restart(services?: Services, options?: RunOptions): Promise<string>;
    kill(services?: Services, options?: RunOptions): Promise<string>;
    pull(services?: Services, options?: RunOptions): Promise<string>;
    create(services?: Services, options?: RunOptions): Promise<string>;
    version(options?: RunOptions): Promise<string>;
    pause(services?: Services, options?: RunOptions): Promise<string>;
    unpause(services?: Services, options?: RunOptions): Promise<string>;
    scale(services?: Services, options?: RunOptions): Promise<string>;
    rm(services?: Services, options?: RunOptions): Promise<string>;
    port(service: string, privatePort: number | string, options?: RunOptions): Promise<string>;
}
export {};
//# sourceMappingURL=index.d.ts.map